import request from '@/utils/request'
//手机调查-入户核查
export function rhhcList(query){
  return request({
    url:'/home/homesteadzjdzdxx/rhhcMobileList',
    method:'get',
    params: query
  })
}
//手机调查-用户切换部门
export function changeDept(id){
  return request({
    url:'/system/user/changeDept?loginDeptID='+id,
    method:'get',
  })
}
// 查询数据调查-宅基地宗地列表
export function listZjdzd(query) {
  return request({
    url: '/home/homesteadzjdzdxx/list',
    method: 'get',
    params: query
  })
}
// 查询数据调查-签字确认
export function zjddcSign(data,zjddm) {
  return request({
    url: '/home/homesteadzjdzdxx/zjddc/sign/'+zjddm,
    method: 'post',
    data: data
  })
}
// 导出数据调查-宅基地宗地
export function exportZjdzd(query) {
  return request({
    url: '/houseSurvey/zjdzd/export',
    method: 'get',
    params: query
  })
}

// 查询数据调查-宅基地宗地详细
export function getZjdzd(id) {
  return request({
    url: '/home/homesteadzjdzdxx/get/' + id,
    method: 'get'
  })
}

// 新增数据调查-宅基地宗地
export function addZjdzd(data) {
  return request({
    url: '/home/homesteadzjdzdxx/add',
    method: 'post',
    data: data
  })
}

// 新增数据调查-户主信息
export function zjdzdConnectTask(data) {
  return request({
    url: '/houseSurvey/zjdzd/connectTask',
    method: 'post',
    data: data
  })
}

// 修改数据调查-宅基地宗地
export function updateZjdzd(data) {
  return request({
    url: '/home/homesteadzjdzdxx/edit',
    method: 'post',
    data: data
  })
}

// 删除数据调查-宅基地宗地
export function delZjdzd(id) {
  return request({
    url: '/home/homesteadzjdzdxx/remove/' + id,
    method: 'get'
  })
}

// 上传文件
export function uploadFile(data) {
  return request({
    url: '/common/upload',
    method: 'post',
    data: data
  })
}

//查询当前登录账号坐标
export function getQueryLand() {
  return request({
    url: '/system/dept/get/current',
    method: 'get'
  })
}

// 查询数据调查-宅基地宗地列表
export function delZjdzdInfo(query) {
  return request({
    url: '/home/homesteadzjdzdxx/delZjdzdInfo',
    method: 'get',
    params: query
  })
}

// 提交照片-宅基地宗地
export function submitUploadImageList(data) {
  return request({
    url: '/houseSurvey/zjdzd/submitUploadImageList',
    method: 'post',
    data: data
  })
}

// 数据审核-宅基地宗地
export function submitOnly(data) {
  return request({
    url: '/houseSurvey/zjdzd/submitOnly',
    method: 'post',
    data: data
  })
}
